com.lowagie.text.pdf.events

## Class PdfPCellEventForwarder

- java.lang.Object
- - com.lowagie.text.pdf.events.PdfPCellEventForwarder

- All Implemented Interfaces:
    PdfPCellEvent

      public class PdfPCellEventForwarder
      extends java.lang.Object
      implements PdfPCellEvent

  If you want to add more than one event to a cell, you have to construct a PdfPCellEventForwarder, add the different events to this object and add the forwarder to the PdfPCell.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList` | `events` ArrayList containing all the PageEvents that have to be executed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfPCellEventForwarder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCellEvent(PdfPCellEvent event)` Add a page event to the forwarder.
    `void` | `cellLayout(PdfPCell cell, Rectangle position, PdfContentByte[] canvases)` This method is called at the end of the cell rendering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### events

          protected java.util.ArrayList events

      ArrayList containing all the PageEvents that have to be executed.

  - ### Constructor Detail

    - #### PdfPCellEventForwarder

          public PdfPCellEventForwarder()

  - ### Method Detail

    - #### addCellEvent

          public void addCellEvent(PdfPCellEvent event)

      Add a page event to the forwarder.
      Parameters:
        `event` - an event that has to be added to the forwarder.

    - #### cellLayout

          public void cellLayout(PdfPCell cell,
                        Rectangle position,
                        PdfContentByte[] canvases)

      Description copied from interface: `PdfPCellEvent`
      This method is called at the end of the cell rendering. The text or graphics are added to one of the 4 `PdfContentByte` contained in `canvases`.
      The indexes to `canvases` are:

      - `PdfPTable.BASECANVAS` - the original `PdfContentByte`. Anything placed here will be under the cell.
      - `PdfPTable.BACKGROUNDCANVAS` - the layer where the background goes to.
      - `PdfPTable.LINECANVAS` - the layer where the lines go to.
      - `PdfPTable.TEXTCANVAS` - the layer where the text go to. Anything placed here will be over the cell.
      The layers are placed in sequence on top of each other.

      Specified by:
        `cellLayout` in interface `PdfPCellEvent`
      Parameters:
        `cell` - the cell
        `position` - the coordinates of the cell
        `canvases` - an array of `PdfContentByte`
      See Also:
        `PdfPCellEvent.cellLayout(com.lowagie.text.pdf.PdfPCell, com.lowagie.text.Rectangle, com.lowagie.text.pdf.PdfContentByte[])`